@import "../base/colors";

.graph-content {
  width: 100%;
  height: calc(100vh - 160px);
  // height: calc(100vh - 480px);
  // height: 400px;
  // display: block;
  border: 1px solid rgba(0, 0, 0, 0.125);
  &.with-ms-plot {
    height: calc(100vh - 480px);
  }
}

.alert.ms-click {
  position: absolute;
  width: 100%;
  bottom: 0;
  margin-bottom: 0;
  border-radius: 0;
  z-index: 1000;
  opacity: 85%;
}

.row.graph {
  background-color: white;
  top: 100px;
  left: 50px;
}

.graph-loader {
  text-align: center;
  height: 100%;
  width: 100%;
  .row,
  .col,
  .spinner-display {
    height: 100%;
  }
  .col {
    height: 100px;
  }
  .loading-text {
    color: $primary-color;
  }
}

.graph-full-screen.row {
  position: fixed;
  margin: 12px;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: white;
  z-index: 10000;
  transition: all 0.3s;
  .graph-content {
    height: calc(100vh - 330px);
    padding: 12px;
    transition: all 0.3s;
  }
}

.full-screen-button {
  position: absolute;
  top: 6px;
  right: 6px;
  z-index: 10010;
}
